Error getting GET tempurl for overcloud-config/overcloud-config.tar.gz: public endpoint for object-store service not found

Bug #1915356 reported by Harald Jensås
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Medium
Rabi Mishra

Bug Description

(undercloud) [centos@undercloud ~]$ openstack overcloud config download --name overcloud --config-dir /home/centos/config-download

2021-02-11 00:28:28.026937 | fa163e98-9cfa-ce0f-b27f-00000000000f | FATAL | Get temp url for archive | localhost | error={"changed": false, "error": "public endpoint for object-store service not found", "msg": "Error getting GET tempurl for overcloud-config/overcloud-config.tar.gz: public endpoint for object-store service not found", "success": false, "tempurl": ""}
2021-02-11 00:28:28.031920 | fa163e98-9cfa-ce0f-b27f-00000000000f | TIMING | Get temp url for archive | localhost | 0:00:40.457050 | 4.92s

Revision history for this message
Rabi Mishra (rabi) wrote :

yeah. we're still fixing some of the commands to work without swift. https://review.opendev.org/c/openstack/tripleo-ansible/+/775062 should fix this one.

Changed in tripleo:
assignee: nobody → Rabi Mishra (rabi)
status: Triaged → In Progress
Revision history for this message
Harald Jensås (harald-jensas) wrote :
Download full text (12.3 KiB)

Testing https://review.opendev.org/c/openstack/tripleo-ansible/+/775062 I get a new error:

2021-02-12 02:28:43.527 7651 ERROR openstack [-] Failed to deploy: ERROR: Internal Error
Traceback (most recent call last):\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1244, in _execute_context\n cursor, statement, parameters, context\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/engine/default.py", line 552, in do_execute\n cursor.execute(statement, parameters)\n', ' File "/usr/lib/python3.6/site-packages/pymysql/cursors.py", line 163, in execute\n result = self._query(query)\n', ' File "/usr/lib/python3.6/site-packages/pymysql/cursors.py", line 321, in _query\n conn.query(q)\n', ' File "/usr/lib/python3.6/site-packages/pymysql/connections.py", line 505, in query\n self._affected_rows = self._read_query_result(unbuffered=unbuffered)\n', ' File "/usr/lib/python3.6/site-packages/pymysql/connections.py", line 724, in _read_query_result\n result.read()\n', ' File "/usr/lib/python3.6/site-packages/pymysql/connections.py", line 1069, in read\n first_packet = self.connection._read_packet()\n', ' File "/usr/lib/python3.6/site-packages/pymysql/connections.py", line 676, in _read_packet\n packet.raise_for_error()\n', ' File "/usr/lib/python3.6/site-packages/pymysql/protocol.py", line 223, in raise_for_error\n err.raise_mysql_exception(self._data)\n', ' File "/usr/lib/python3.6/site-packages/pymysql/err.py", line 107, in raise_mysql_exception\n raise errorclass(errno, errval)\n', 'pymysql.err.OperationalError: (1153, "Got a packet bigger than \'max_allowed_packet\' bytes")\n', '\nThe above exception was the direct cause of the following exception:\n\n', 'Traceback (most recent call last):\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/orm/session.py", line 2549, in _flush\n flush_context.execute()\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/orm/unitofwork.py", line 422, in execute\n rec.execute(self)\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/orm/unitofwork.py", line 589, in execute\n uow,\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/orm/persistence.py", line 245, in save_obj\n insert,\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/orm/persistence.py", line 1120, in _emit_insert_statements\n statement, params\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 988, in execute\n return meth(self, multiparams, params)\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/sql/elements.py", line 287, in _execute_on_connection\n return connection._execute_clauseelement(self, multiparams, params)\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1107, in _execute_clauseelement\n distilled_params,\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1248, in _execute_context\n e, statement, parameters, cursor, context\n', ' File "/usr/lib64/python3.6/site-packages/sqlalchemy/engine/base.py", line 1464, in _handle_dbapi_exception\n util.raise_from_cause(newraise, exc_info)\n', ' File "/usr/lib...

Revision history for this message
Harald Jensås (harald-jensas) wrote :

Ignore my last comment, it's not related to this at all. Sorry for the confusion.

Changed in tripleo:
milestone: wallaby-3 → wallaby-rc1
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/tripleo-ansible 3.1.0

This issue was fixed in the openstack/tripleo-ansible 3.1.0 release.

Changed in tripleo:
milestone: wallaby-rc1 → xena-1
Changed in tripleo:
milestone: xena-1 → xena-2
Changed in tripleo:
milestone: xena-2 → xena-3
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers